#
# spec file for package ghc-contravariant
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name contravariant
Name:           ghc-%{pkg_name}
Version:        1.5.2
Release:        lp152.1.6
Summary:        Contravariant functors
License:        BSD-3-Clause
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-StateVar-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-transformers-devel

%description
Contravariant functors.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc CHANGELOG.markdown README.markdown

%changelog
* Fri Nov  8 2019 Peter Simons <psimons@suse.com>
- Drop obsolete group attributes.
* Tue Jun  4 2019 psimons@suse.com
- Update contravariant to version 1.5.2.
  1.5.2 [2019.06.03]
  - -----------------
  * Mark `Data.Functor.Contravariant` and `Data.Functor.Contravariant.Generic`
    as unconditionally `Trustworthy`.
* Fri May  3 2019 psimons@suse.com
- Update contravariant to version 1.5.1.
  1.5.1 [2019.05.02]
  - -----------------
  * Remove the use of `unsafeCoerce` in `Data.Functor.Contravariant.Generic`. As
    a result, the `safe` flag has been removed, as it is no longer used.
* Sat Oct 20 2018 Peter Simons <psimons@suse.com>
- Use https URL to refer to bugs.opensuse.org.
* Wed Jul 18 2018 psimons@suse.com
- Cosmetic: replace tabs with blanks, strip trailing white space,
  and update copyright headers with spec-cleaner.
* Fri Jul 13 2018 psimons@suse.com
- Update contravariant to version 1.5.
  1.5 [2018.07.01]
  - ---------------
  * Support building with GHC 8.6, where `Data.Functor.Contravariant` has been
    moved into `base`.
* Mon May 14 2018 psimons@suse.com
- Update contravariant to version 1.4.1 revision 1.
  * Add `Semigroup` and `Monoid` instances for `Predicate`.
  * Add lots of documentation explaining `Contravariant`, `Divisible`, and
    `Decidable`.
  * Fix some dodgy CPP usage that caused the build to fail on Eta.
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.4 revision 0 with cabal2obs.
* Fri Jan 22 2016 mimi.vx@gmail.com
- update to 1.4
  * Improved the performance of Deciding at the cost of downgrading it to Trustworthy.
  * Support for transformers 0.5
* Sun Sep 13 2015 mimi.vx@gmail.com
- update to 1.3.3
  * Add instance Monoid m => Divisible (Const m)
* Tue Aug  4 2015 mimi.vx@gmail.com
- update to 1.3.2
  * Add ($<) operator
* Sun May 10 2015 mimi.vx@gmail.com
- update to 1.3.1.1
  * Fix builds
* Sun Apr 26 2015 mimi.vx@gmail.com
- initial commit
